[oe-commits] Eric BENARD : gdb-cross-canadian: build gdb with python support

git at git.openembedded.org git at git.openembedded.org
Fri Dec 23 09:00:40 UTC 2011


Module: meta-openembedded.git
Branch: master
Commit: d3c1760a8fc9365585888b5d6a3db9965eb0174f
URL:    http://git.openembedded.org/?p=meta-openembedded.git&a=commit;h=d3c1760a8fc9365585888b5d6a3db9965eb0174f

Author: Eric BENARD <eric at eukrea.com>
Date:   Fri Dec 23 07:12:16 2011 +0000

gdb-cross-canadian: build gdb with python support

* python support is needed for providing finer scripting control
in gdb, and for remote controling gdb for example from qtcreator
* gdb/configure tries to autodetect python using python executable
with --includes --ldflags --exec-prefix to get the right flags
As it's difficult to achieve in OE's context, we generate a
script which will return the right values and make gdb's build
system happy. This idea was taken from the following article :
http://www.mentby.com/doug-evans-2/python-enabled-gdb-on-windows-and-relocation.html
* tested using angstrom & armv7/armv5 targets & qtcreator 201005 & 2.4.0

Signed-off-by: Eric Bénard <eric at eukrea.com>
Signed-off-by: Koen Kooi <koen at dominion.thruhere.net>

---

 .../gdb/gdb-cross-canadian_7.3.1.bbappend          |   20 ++++++++++++++++++++
 1 files changed, 20 insertions(+), 0 deletions(-)

diff --git a/meta-oe/recipes-devtools/gdb/gdb-cross-canadian_7.3.1.bbappend b/meta-oe/recipes-devtools/gdb/gdb-cross-canadian_7.3.1.bbappend
new file mode 100644
index 0000000..3bbfe38
--- /dev/null
+++ b/meta-oe/recipes-devtools/gdb/gdb-cross-canadian_7.3.1.bbappend
@@ -0,0 +1,20 @@
+DEPENDS += "python-nativesdk"
+RDEPENDS += "python-nativesdk-core python-nativesdk-lang python-nativesdk-re \
+			 python-nativesdk-codecs python-nativesdk-netclient"
+
+EXTRA_OECONF_append = "--with-python=${WORKDIR}/python"
+PRINC = "1"
+
+do_configure_prepend() {
+cat > ${WORKDIR}/python << EOF
+#! /bin/sh
+case "\$2" in
+	--includes) echo "-I${STAGING_DIR}/${HOST_ARCH}-nativesdk${HOST_VENDOR}-${HOST_OS}${exec_prefix}/include/python${PYTHON_BASEVERSION}/" ;;
+	--ldflags) echo "-L${STAGING_DIR}/${HOST_ARCH}-nativesdk${HOST_VENDOR}-${HOST_OS}${libdir}/python${PYTHON_BASEVERSION}/config/config -lpthread -ldl -lutil -lm -lpython${PYTHON_BASEVERSION}" ;;
+	--exec-prefix) echo "/usr" ;;
+	*) exit 1 ;;
+esac
+exit 0
+EOF
+	chmod +x ${WORKDIR}/python
+}





More information about the Openembedded-commits mailing list